Package com.google.earth.kml._2

# Class LookAtType

java.lang.Object
com.google.earth.kml._2.ObjectType
com.google.earth.kml._2.LookAtType

public class LookAtType extends ObjectType
<p>Java class for LookAtType complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="LookAtType"> <complexContent> <extension base="{http://earth.google.com/kml/2.1}ObjectType"> <all> <element name="longitude" type="{http://earth.google.com/kml/2.1}angle180" minOccurs="0"/> <element name="latitude" type="{http://earth.google.com/kml/2.1}angle90" minOccurs="0"/> <element name="altitude" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/> <element name="range" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/> <element name="tilt" type="{http://earth.google.com/kml/2.1}anglepos90" minOccurs="0"/> <element name="heading" type="{http://earth.google.com/kml/2.1}angle360" minOccurs="0"/> <element name="altitudeMode" type="{http://earth.google.com/kml/2.1}altitudeModeEnum" minOccurs="0"/> </all> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Double`
  `altitude`
  `protected AltitudeModeEnum`
  `altitudeMode`
  `protected Double`
  `heading`
  `protected Double`
  `latitude`
  `protected Double`
  `longitude`
  `protected Double`
  `range`
  `protected Double`
  `tilt`

  ### Fields inherited from class com.google.earth.kml._2.ObjectType

  `id, targetId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LookAtType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Double`
  `getAltitude()`
  Gets the value of the altitude property.
  `AltitudeModeEnum`
  `getAltitudeMode()`
  Gets the value of the altitudeMode property.
  `Double`
  `getHeading()`
  Gets the value of the heading property.
  `Double`
  `getLatitude()`
  Gets the value of the latitude property.
  `Double`
  `getLongitude()`
  Gets the value of the longitude property.
  `Double`
  `getRange()`
  Gets the value of the range property.
  `Double`
  `getTilt()`
  Gets the value of the tilt property.
  `void`
  `setAltitude(Double value)`
  Sets the value of the altitude property.
  `void`
  `setAltitudeMode(AltitudeModeEnum value)`
  Sets the value of the altitudeMode property.
  `void`
  `setHeading(Double value)`
  Sets the value of the heading property.
  `void`
  `setLatitude(Double value)`
  Sets the value of the latitude property.
  `void`
  `setLongitude(Double value)`
  Sets the value of the longitude property.
  `void`
  `setRange(Double value)`
  Sets the value of the range property.
  `void`
  `setTilt(Double value)`
  Sets the value of the tilt property.

  ### Methods inherited from class com.google.earth.kml._2.ObjectType

  `getId, getTargetId, setId, setTargetId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### longitude

    protected Double longitude

  - ### latitude

    protected Double latitude

  - ### altitude

    protected Double altitude

  - ### range

    protected Double range

  - ### tilt

    protected Double tilt

  - ### heading

    protected Double heading

  - ### altitudeMode

    protected AltitudeModeEnum altitudeMode

- ## Constructor Details

  - ### LookAtType

    public LookAtType()

- ## Method Details

  - ### getLongitude

    public Double getLongitude()
    Gets the value of the longitude property.
    Returns:
      possible object is `Double`

  - ### setLongitude

    public void setLongitude(Double value)
    Sets the value of the longitude property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getLatitude

    public Double getLatitude()
    Gets the value of the latitude property.
    Returns:
      possible object is `Double`

  - ### setLatitude

    public void setLatitude(Double value)
    Sets the value of the latitude property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getAltitude

    public Double getAltitude()
    Gets the value of the altitude property.
    Returns:
      possible object is `Double`

  - ### setAltitude

    public void setAltitude(Double value)
    Sets the value of the altitude property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getRange

    public Double getRange()
    Gets the value of the range property.
    Returns:
      possible object is `Double`

  - ### setRange

    public void setRange(Double value)
    Sets the value of the range property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getTilt

    public Double getTilt()
    Gets the value of the tilt property.
    Returns:
      possible object is `Double`

  - ### setTilt

    public void setTilt(Double value)
    Sets the value of the tilt property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getHeading

    public Double getHeading()
    Gets the value of the heading property.
    Returns:
      possible object is `Double`

  - ### setHeading

    public void setHeading(Double value)
    Sets the value of the heading property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getAltitudeMode

    public AltitudeModeEnum getAltitudeMode()
    Gets the value of the altitudeMode property.
    Returns:
      possible object is `AltitudeModeEnum`

  - ### setAltitudeMode

    public void setAltitudeMode(AltitudeModeEnum value)
    Sets the value of the altitudeMode property.
    Parameters:
      `value` - allowed object is `AltitudeModeEnum`